/*
 * This file is a part of KEMET project (Library).
 * 
 * Copyright (C) 2008 MAUPIN Fabrice
 *
 * This library is free software; 
 * you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; 
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this library; 
 * if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
 */
package org.kemet.tests;

import java.util.Locale;

import org.kemet.orm.Messages;

/**
 * @author fabricemaupin
 * 
 * <p>
 * <b>attributes used for tests.</b>
 * </p>
 * 
 * @since 0.6
 */
public interface IAttr {
	/**
	 * <p>
	 * <b>path to XML files.</b>
	 * 
	 * IMPORTANT : XMLPath must be modify
	 * </p>
	 */
	public static String XMLPath = "D:\\DEV\\Kemet\\workspace\\kemet_data\\";

	/**
	 * <p>
	 * <b>path to "phonogram.xml" file.</b>
	 * </p>
	 */
	public static String file1 = XMLPath + Messages.getString("DAL.1");

	/**
	 * <p>
	 * <b>path to "hiero_xx.xml" file.</b>
	 * </p>
	 */
	public static String file2 = XMLPath + Locale.getDefault().getLanguage()
			+ "\\" + Messages.getString("DAL.2");

	/**
	 * <p>
	 * <b>path to "lexicographical_list_xx.xml" file.</b>
	 * </p>
	 */
	public static String file3 = XMLPath + Locale.getDefault().getLanguage()
			+ "\\" + Messages.getString("DAL.3");

	/**
	 * <p>
	 * <b>path for "SupportedSequenceFormats.xml" file.</b>
	 * </p>
	 */
	public static String SupportedSequenceFormats = XMLPath
			+ "SupportedSequenceFormats.xml";
}
